### Function

# GLib Private new

deprecated: 2.32

#### Declaration [src]

    GPrivate*
    g_private_new (
      GDestroyNotify notify
    )

#### Description [src]

Creates a new `GPrivate`.

Deprecated since: 2.32

Dynamic allocation of `GPrivate` is a bad idea. Use static storage and G_PRIVATE_INIT() instead.

This function is not directly available to language bindings.

#### Parameters

`notify`

  Type: `GDestroyNotify`

  A `GDestroyNotify`.

#### Return value

Type: `GPrivate`

A newly allocated `GPrivate` (which can never be destroyed).

The data is owned by the called function.